%define upstream_name    File-Modified
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    File::Modified - checks intelligently if files have changed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/CORION/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Modified module is intended as a simple method for programs to detect
whether configuration files (or modules they rely on) have changed. There are
currently two methods of change detection implemented, mtime and MD5.
The MD5 method will fall back to use timestamps if the Digest::MD5 module
cannot be loaded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/File/Modified.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-4.mga8
+ Revision: 1494492
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-3.mga7
+ Revision: 1268104
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-2.mga6
+ Revision: 1027384
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.100.0-1.mga6
+ Revision: 1001928
- update to 0.10

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 949668
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 790177
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 742286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684743
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 624266
- update to 0.09

* Tue Apr 15 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 614782
- update to 0.08

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 511631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 367271
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 11469
- imported package perl-File-Modified


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 403175
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.07-5mdv2009.0
+ Revision: 241218
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.07-3mdv2008.0
+ Revision: 18583
- rebuild


* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.07-2mdk
- Rebuild
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.07-1mdk
- initial Mandriva package

